<%@ page language="java"%> 
<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*" %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>	
<%@ include file="/m05bIdioma.inc"%>
<HTML>
<HEAD>
    <title><%= resTit.getString("titLstRevisionVehiculos")%></title>
    <link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">			
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
</HEAD>	
	
<%	m05bComun miComun = new m05bComun();
	String sRevisionVehiculo = miComun.leerPropiedad("PDF.RevisionVehiculo"); 
%>

<BODY style="cursor: wait" onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">	
<form NAME="formSolicitud" METHOD="POST">
<%
	//String sDpto = request.getParameter("codDpto");
	
String sFecDesde= request.getParameter("FecDesde");
String sFecHasta= request.getParameter("FecHasta");


    
	//String srcPDF = SancionPendiente + "?DPTO="+sDpto;
	String srcPDF = sRevisionVehiculo + "?FecDesde="+sFecDesde+ "&FecHasta="+sFecHasta ;
	java.sql.Connection conn=null;
	PreparedStatement pstmt = null;
	ResultSet rs = null;
      try
      {  //HttpSession session = request.getSession(true);
			m05bConexion miConex = new m05bConexion();
			conn = miConex.getConnection();

String sSentencia="SELECT 1 " + 
" FROM " + 
m05bConstantes.TAB_REVISIONES;
if (!(sFecDesde.equals(""))){
    	sSentencia= sSentencia + " WHERE " + m05bConstantes.COL_35_FECHA+ " >= TO_DATE('"+sFecDesde+"','"+formatoFecha+"')";}
if (!(sFecHasta.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_35_FECHA+ " <= TO_DATE('"+sFecHasta+"','"+formatoFecha+"')";}
		   pstmt = conn.prepareStatement(sSentencia);
		   rs = pstmt.executeQuery();
%>
	
<TABLE class="general">
  <tr>
       <!--td width="90%" align="right"><INPUT TYPE="IMAGE" style="cursor:hand"  VALUE="Retornar" ONCLICK="JavaScript:fncRetornar();" onMouseOver="top.status='Retornar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/retornar.gif"></td-->
       <td width="90%" align="right"><input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" /></td>			       
    
  </tr>
  <tr>
    <td colspan="2">
    <% if (rs.next() == true){ %>
		<embed name='pdfRevisionVehiculo' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
    <%} else {%>
		<embed name='pdfRevisionVehiculo' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
    <%}%>
	<%	} catch (Exception SQLException) {
		m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
			miLog.addTraza(SQLException);
		} 	finally{
				if (rs != null)
					rs.close();			
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();}%>
  	</td>
  </tr>
</TABLE>
</form>
<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
</div>		
</body>
<SCRIPT language=JavaScript>
		function fncRetornar() {
			var docu = document.formSolicitud;
			docu.action="/m05bParqueMovilWar/m05bImpDesdeHastaJsp.jsp?Tipo=1" ;
			docu.submit();
		}  // Fin funcion fncRetornar
</SCRIPT>
		
</html>
